Package org.apache.commons.compress.utils

# Class Charsets

java.lang.Object
org.apache.commons.compress.utils.Charsets

@Deprecated public class Charsets extends Object
Deprecated.
Use `Charsets`.
Charsets required of every implementation of the Java platform. From the Java documentation Standard charsets:

Every implementation of the Java platform is required to support the following character encodings. Consult the release documentation for your implementation to see if any other encodings are supported. Consult the release documentation for your implementation to see if any other encodings are supported.

`US-ASCII`
  Seven-bit ASCII, a.k.a. ISO646-US, a.k.a. the Basic Latin block of the Unicode character set.
`ISO-8859-1`
  ISO Latin Alphabet No. 1, a.k.a. ISO-LATIN-1.
`UTF-8`
  Eight-bit Unicode Transformation Format.
`UTF-16BE`
  Sixteen-bit Unicode Transformation Format, big-endian byte order.
`UTF-16LE`
  Sixteen-bit Unicode Transformation Format, little-endian byte order.
`UTF-16`
  Sixteen-bit Unicode Transformation Format, byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output.)

This class best belongs in the Commons Lang or IO project. Even if a similar class is defined in another Commons component, it is not foreseen that Commons Compress would be made to depend on another Commons component.

Since:
  1.4
See Also:
  - Standard charsets
  - `StandardCharsets`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Charset`
  `ISO_8859_1`
  Deprecated.
  replaced by `StandardCharsets` in Java 7
  `static final Charset`
  `US_ASCII`
  Deprecated.
  replaced by `StandardCharsets` in Java 7
  `static final Charset`
  `UTF_16`
  Deprecated.
  replaced by `StandardCharsets` in Java 7
  `static final Charset`
  `UTF_16BE`
  Deprecated.
  replaced by `StandardCharsets` in Java 7
  `static final Charset`
  `UTF_16LE`
  Deprecated.
  replaced by `StandardCharsets` in Java 7
  `static final Charset`
  `UTF_8`
  Deprecated.
  replaced by `StandardCharsets` in Java 7

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Charsets()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Charset`
  `toCharset(String charset)`
  Deprecated.
  Returns a Charset for the named charset.
  `static Charset`
  `toCharset(Charset charset)`
  Deprecated.
  Returns the given Charset or the default Charset if the given Charset is null.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ISO_8859_1

    @Deprecated public static final Charset ISO_8859_1
    Deprecated.
    replaced by `StandardCharsets` in Java 7
    CharsetNamesISO Latin Alphabet No. 1, a.k.a. ISO-LATIN-1.

    Every implementation of the Java platform is required to support this character encoding.

    See Also:
      - Standard charsets

  - ### US_ASCII

    @Deprecated public static final Charset US_ASCII
    Deprecated.
    replaced by `StandardCharsets` in Java 7

    Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.

    Every implementation of the Java platform is required to support this character encoding.

    See Also:
      - Standard charsets

  - ### UTF_16

    @Deprecated public static final Charset UTF_16
    Deprecated.
    replaced by `StandardCharsets` in Java 7

    Sixteen-bit Unicode Transformation Format, The byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output)

    Every implementation of the Java platform is required to support this character encoding.

    See Also:
      - Standard charsets

  - ### UTF_16BE

    @Deprecated public static final Charset UTF_16BE
    Deprecated.
    replaced by `StandardCharsets` in Java 7

    Sixteen-bit Unicode Transformation Format, big-endian byte order.

    Every implementation of the Java platform is required to support this character encoding.

    See Also:
      - Standard charsets

  - ### UTF_16LE

    @Deprecated public static final Charset UTF_16LE
    Deprecated.
    replaced by `StandardCharsets` in Java 7

    Sixteen-bit Unicode Transformation Format, little-endian byte order.

    Every implementation of the Java platform is required to support this character encoding.

    See Also:
      - Standard charsets

  - ### UTF_8

    @Deprecated public static final Charset UTF_8
    Deprecated.
    replaced by `StandardCharsets` in Java 7

    Eight-bit Unicode Transformation Format.

    Every implementation of the Java platform is required to support this character encoding.

    See Also:
      - Standard charsets

- ## Constructor Details

  - ### Charsets

    public Charsets()
    Deprecated.

- ## Method Details

  - ### toCharset

    public static Charset toCharset(Charset charset)
    Deprecated.
    Returns the given Charset or the default Charset if the given Charset is null.
    Parameters:
      `charset` - A charset or null.
    Returns:
      the given Charset or the default Charset if the given Charset is null

  - ### toCharset

    public static Charset toCharset(String charset)
    Deprecated.
    Returns a Charset for the named charset. If the name is null, return the default Charset.
    Parameters:
      `charset` - The name of the requested charset, may be null.
    Returns:
      a Charset for the named charset
    Throws:
      `UnsupportedCharsetException` - If the named charset is unavailable
      `IllegalCharsetNameException` - If the given charset name is illegal